package com.uas.platform.b2b.erp.model;

import java.util.Date;
import java.util.List;

import com.uas.platform.b2b.model.PurchaseProofingItem;

/**
 * 卖家ERP系统的客户客户打样申请单
 * 
 * @author suntg
 * 
 */
public class SaleSampleDown {

	private Long b2b_ps_id;
	private String ps_code;
	private Date ps_indate;
	private String ps_recordor;
	private Long ps_custuu;
	private String ps_contact;
	private Long ps_contactuu;
	private String ps_custprodcode;
	private String ps_custpesc;
	private String ps_custproddetail;
	private String ps_custunit;
	private Date ps_delivery;
	private String ps_envrequire;
	private String ps_scope;
	private String ps_attach;
	private String ps_isfree;//是否收费
	private Double ps_price;
	private String ps_currency;
	private Double ps_rate;
	private Double ps_qty;
	private Double ps_total;
	private String ps_remark;
	private List<RemoteFile> files;
	
	public Long getB2b_ps_id() {
		return b2b_ps_id;
	}

	public void setB2b_ps_id(Long b2b_ps_id) {
		this.b2b_ps_id = b2b_ps_id;
	}

	public String getPs_code() {
		return ps_code;
	}

	public void setPs_code(String ps_code) {
		this.ps_code = ps_code;
	}

	public Date getPs_indate() {
		return ps_indate;
	}

	public void setPs_indate(Date ps_indate) {
		this.ps_indate = ps_indate;
	}

	public String getPs_recordor() {
		return ps_recordor;
	}

	public void setPs_recordor(String ps_recordor) {
		this.ps_recordor = ps_recordor;
	}

	public Long getPs_custuu() {
		return ps_custuu;
	}

	public void setPs_custuu(Long ps_custuu) {
		this.ps_custuu = ps_custuu;
	}

	public String getPs_contact() {
		return ps_contact;
	}

	public void setPs_contact(String ps_contact) {
		this.ps_contact = ps_contact;
	}

	public Long getPs_contactuu() {
		return ps_contactuu;
	}

	public void setPs_contactuu(Long ps_contactuu) {
		this.ps_contactuu = ps_contactuu;
	}

	public String getPs_custprodcode() {
		return ps_custprodcode;
	}

	public void setPs_custprodcode(String ps_custprodcode) {
		this.ps_custprodcode = ps_custprodcode;
	}

	public String getPs_custpesc() {
		return ps_custpesc;
	}

	public void setPs_custpesc(String ps_custpesc) {
		this.ps_custpesc = ps_custpesc;
	}

	public String getPs_custproddetail() {
		return ps_custproddetail;
	}

	public void setPs_custproddetail(String ps_custproddetail) {
		this.ps_custproddetail = ps_custproddetail;
	}

	public String getPs_custunit() {
		return ps_custunit;
	}

	public void setPs_custunit(String ps_custunit) {
		this.ps_custunit = ps_custunit;
	}

	public Date getPs_delivery() {
		return ps_delivery;
	}

	public void setPs_delivery(Date ps_delivery) {
		this.ps_delivery = ps_delivery;
	}

	public String getPs_envrequire() {
		return ps_envrequire;
	}

	public void setPs_envrequire(String ps_envrequire) {
		this.ps_envrequire = ps_envrequire;
	}

	public String getPs_scope() {
		return ps_scope;
	}

	public void setPs_scope(String ps_scope) {
		this.ps_scope = ps_scope;
	}

	public String getPs_attach() {
		return ps_attach;
	}

	public void setPs_attach(String ps_attach) {
		this.ps_attach = ps_attach;
	}

	public String getPs_isfree() {
		return ps_isfree;
	}

	public void setPs_isfree(String ps_isfree) {
		this.ps_isfree = ps_isfree;
	}

	public Double getPs_price() {
		return ps_price;
	}

	public void setPs_price(Double ps_price) {
		this.ps_price = ps_price;
	}

	public String getPs_currency() {
		return ps_currency;
	}

	public void setPs_currency(String ps_currency) {
		this.ps_currency = ps_currency;
	}

	public Double getPs_rate() {
		return ps_rate;
	}

	public void setPs_rate(Double ps_rate) {
		this.ps_rate = ps_rate;
	}

	public Double getPs_qty() {
		return ps_qty;
	}

	public void setPs_qty(Double ps_qty) {
		this.ps_qty = ps_qty;
	}

	public Double getPs_total() {
		return ps_total;
	}

	public void setPs_total(Double ps_total) {
		this.ps_total = ps_total;
	}

	public String getPs_remark() {
		return ps_remark;
	}

	public void setPs_remark(String ps_remark) {
		this.ps_remark = ps_remark;
	}

	public SaleSampleDown(PurchaseProofingItem proofingItem) {
		this.b2b_ps_id = proofingItem.getId();
		this.ps_code = proofingItem.getProofing().getCode();
		this.ps_contact = proofingItem.getProofing().getUser().getUserName();
		this.ps_contactuu = proofingItem.getProofing().getUserUU();
		this.ps_currency = proofingItem.getCurrency();
		this.ps_custpesc = proofingItem.getProofing().getProduct().getSpec();
		this.ps_custprodcode = proofingItem.getProofing().getProduct().getCode();
		this.ps_custproddetail = proofingItem.getProofing().getProduct().getTitle();
		this.ps_custunit = proofingItem.getProofing().getProduct().getUnit();
		this.ps_custuu = proofingItem.getProofing().getEnUU();
		this.ps_delivery = proofingItem.getProofing().getDelivery();
		this.ps_envrequire = proofingItem.getProofing().getEnvrequiry();
		this.ps_indate = proofingItem.getProofing().getDate();
		this.ps_isfree = proofingItem.getProofing().getIsCharge();
		this.ps_price = proofingItem.getPrice();
		this.ps_qty = proofingItem.getQty();
		this.ps_rate = proofingItem.getTaxrate();
		this.ps_recordor = proofingItem.getProofing().getRecorder();
		this.ps_remark = proofingItem.getRemark();
		this.ps_scope = proofingItem.getProofing().getScope();
		this.ps_total = proofingItem.getAmount();
	}

	public List<RemoteFile> getFiles() {
		return files;
	}

	public void setFiles(List<RemoteFile> files) {
		this.files = files;
	}
}
